Incremental Authorizations
Incremental authorizations are merchant-initiated transactions with no cardholder present at the time of the transaction. They allow you to append an original pre-authorization to add products and services.
The incremental authorization has these limitations:
- Original transaction must be a pre-authorization.
- Must be in the same currency as the original pre-authorization.
- Maximum of 100 incremental authorizations per transaction, in addition to the initial authorization.
- After you send the final authorization, you cannot send an incremental authorization.
- Interchange optimization is not supported.
- Split shipments are not supported.
Supported Processors
Supported Card Types
- American Express
- Discover
- Mastercard
- Visa
Endpoints
PATCH /pts/v2/payments/{id}
PATCH /pts/v2/payments/{id}
PATCH /pts/v2/payments/{id}
The {id} is the transaction ID returned in the original authorization response.
Example
{ "clientReferenceInformation": { "code": "33557799" }, "orderInformation": { "amountDetails": { "additionalAmount": "10.00", "currency": "CNY" } }}{ "_links": { "authReversal": { "method": "POST", "href": "/pts/v2/payments/6479624584536070903093/reversals" }, "self": { "method": "GET", "href": "/pts/v2/payments/6479624584536070903093" }, "capture": { "method": "POST", "href": "/pts/v2/payments/6479624584536070903093/captures" } }, "clientReferenceInformation": { "code": "33557799" }, "id": "6479624584536070903093", "orderInformation": { "amountDetails": { "totalAmount": "20.00", "authorizedAmount": "10.00", "currency": "CNY" } }, "processorInformation": { "approvalCode": "005290", "responseCode": "00" }, "reconciliationId": "610005247521", "status": "AUTHORIZED"}Required Fields
These fields are required when creating an incremental authorization request.
Default Required Fields
| Field | Description |
|---|---|
clientReferenceInformation. | order reference or tracking number. Provide a unique value for each transaction so that you can perform meaningful searches for the transaction. |
orderInformation. | — |
orderInformation. | — |
Country-Specific Required Field
| Field | Description |
|---|---|
merchantInformation. | required in Argentina when the time zone is not included in your account. Otherwise, this field is optional. |
Optional Field
Optional Field
| Field | Description |
|---|---|
clientReferenceInformation. | — |
Thanks for your feedback!
Last published: October 28, 2026